TweenMax.set('svg', {visibility: 'visible'});

const selectAll = function(s) {
  return document.querySelectorAll(s);
}

TweenMax.staggerFromTo('.outer-circle', 3, {drawSVG: '0%', stroke: '#fff'}, {drawSVG: '100%', stroke:"#e0245e", repeat: -1}, 0.1);

TweenMax.set(selectAll('svg path'), {transformOrigin: '50% 50%'})

var tl = new TimelineMax({repeat: -1, yoyo: true, repeatDelay: 1});
    tl.to('.frok', 1.5, {
      morphSVG: {
        shape: '.dress',
        type: 'rotational'
      },
      fill: '#fabc74',
      ease: Power1.easeInOut
    })
   .to('.frok', 1.5, {
       morphSVG: {
         shape: '.mexi',
         type: 'rotational'
       },
     fill: '#f090d9',
      ease: Power1.easeInOut
    })
    .to('.frok', 1.5, {
      morphSVG: {
        shape: '.skirt',
        type: 'rotational'
      },
      fill: '#248ea9',
      ease: Power1.easeInOut
    })
